Skip to main content

Retrieve a collection of fees

GET 

/api/fee_transaction_details

This API endpoint is designed to provide you with a detailed list of fees associated with an account, with the flexibility to filter and paginate the results to meet your specific needs.

Request

Query Parameters

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

    executionDate[lte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[lt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gte] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    executionDate[gt] string

    The date and time in ISO 8601 format. If only the date portion is provided, the time will default to 00:00:00. Example: "2024-11-21T11:54:39.000Z"

    currency string
    amount[lt] string
    amount[lte] string
    amount[gt] string
    amount[gte] string
    order[id] string

    Possible values: [ASC, DESC]

    Sort the results by the specified field

Responses

OK - The request was processed successfully.

Schema
  • Array [
  • id integer
    account integer
    currency string
    amount string
    executionDate stringnull
    comment stringnull
    status string

    Possible values: [pending, executed]

  • ]
Loading...